<?php

include_once 'Text/Wiki.php' ;

class sunday_Text_Wiki extends Text_Wiki {

	function sunday_Text_Wiki()
	{
		global $xoopsModule;

		parent::Text_Wiki();
		
		$this->rules['table']['file'] = 'Text/sunday_Wiki/Rule/table.php' ;
		$this->rules['table']['name'] = "sunday_Text_Wiki_Rule_table";

		$this->setRuleConf('table', 'spacing', '1');
		$this->setRuleConf('table', 'witdh_auto', '1');
		
		$br = array( 'file' => 'Text/sunday_Wiki/Rule/br.php' ,
				'name' => "sunday_Text_Wiki_Rule_br" ,
				'flag' => true,
				'conf' => array());

		$this->insertRule("br",$br,"break");

		$footnote=array( 'file' => 'Text/sunday_Wiki/Rule/footnote.php',
			'name' => "sunday_Text_Wiki_Rule_footnote",
			'flag' => true,
			'conf' => array());

		$this->insertRule("footnote",$footnote);
	}
}

?>