<?php
/**
 * ꥢ롼Խ
 *
 * 롼פؤΰɲá
 *
 * @package uhw4xoops
 * @subpackage groupadmin
 * @author	Katsuo Mogi mogi-k2@msg.biglobe.ne.jp
 * @since   1.0
 * @version $Id: groupedit.php,v 1.2 2004/03/21 02:21:09 mainpc Exp $
 */

// ꥢѥ󥯥롼ɥե
include '../../../include/cp_header.php';
include_once '../include/functions.php';

$member_handler =& xoops_gethandler('member');

// ꥢѥإå
xoops_cp_header();

$addgroup = (!empty($HTTP_POST_VARS['addgroup'])) ? $HTTP_POST_VARS['addgroup'] : array();
$userids = (!empty($HTTP_POST_VARS['userids'])) ? $HTTP_POST_VARS['userids'] : array();
$groups = (!empty($HTTP_POST_VARS['groups'])) ? $HTTP_POST_VARS['groups'] : array();
$limit = (!empty($HTTP_POST_VARS['limit'])) ? intval($HTTP_POST_VARS['limit']) : 20;
$start = (!empty($HTTP_POST_VARS['start'])) ? intval($HTTP_POST_VARS['start']) : 0;
$op = (!empty($HTTP_POST_VARS['op'])) ? $HTTP_POST_VARS['op'] : '';
$total = $member_handler->getUserCount(new Criteria('level', 0, '>'));

$foundtotal = 0;
$curr_foundids_criteria = null;
$errorMsg = $foundusers = array();
$clsval = array('even', 'odd');
$ignorePostVars = array('addgroup', 'userids');
$hiddenform = "";

include_once XOOPS_ROOT_PATH."/class/xoopsformloader.php";
$form = new XoopsThemeForm('-', "searchform", "groupedit.php");
$tray = new XoopsFormElementTray(_AM_SEARCHTITLE);
$groups_select = new XoopsFormSelectGroup(_AM_SEARCHGROUP, "groups", false, $groups, 5, true);
$limit_text = new XoopsFormText(_AM_DISPPERPAGE, "limit", 4, 4, $limit);
$submit_button = new XoopsFormButton("", "", _GO, 'submit');
$tray->addElement($groups_select);
$tray->addElement($limit_text);
$tray->addElement($submit_button);
$form->addElement($tray);
$grouplist = $groups_select->getOptions();
$groupidlist = array_keys($grouplist);

if($op == "update"){
  foreach($groupidlist as $gid){
    if(!$member_handler->removeUsersFromGroup($gid, $userids)){
      $errorMsg[] = sprintf(_AM_REMOVEERR, $grouplist[$gid]);
      continue;
    }
    if(!empty($addgroup[$gid])){
      foreach($addgroup[$gid] as $adduid){
        if(!$member_handler->addUserToGroup($gid, $adduid)){
          $userobj =& $member_handler->getUser($adduid);
          $errorMsg[] = sprintf(_AM_ADDERR, ($userobj ? $userobj->getVar('uname') : $adduid), $grouplist[$gid]);
          continue;
        }
      }
    }
  }
}

if($foundids = users_by_multigroup($member_handler, $groups)){
  $curr_foundids_criteria = new Criteriacompo();
  foreach($foundids as $id){
    $curr_foundids_criteria->add(new Criteria('uid', $id), 'OR');
  }
  $curr_foundids_criteria->add(new Criteria('level', 0, '>'));
  $curr_foundids_criteria->setStart($start);
  $curr_foundids_criteria->setLimit($limit);
  $foundtotal = $member_handler->getUserCount($curr_foundids_criteria);
}

echo '
<script type="text/javascript">
<!--
function groupChecking(iChkElem, iGroupId){
  var max, i, flg;
  var frm = document.updateform;
  var elename;
  elename = "addgroup[" + iGroupId + "][]";

  if(frm.elements[elename]){
    max = frm.elements[elename].length;
    flg = iChkElem.checked;
    if(max){
      for(i = 0; i < max; i++)
        frm.elements[elename][i].checked = flg;
    }else{
      frm.elements[elename].checked = flg;
    }
  }
}
//-->
</script>
';
foreach($errorMsg as $msg){
  echo '<font color="red">'.$msg.'</font><br />';
}
echo $form->display();
echo sprintf(_AM_COUNTMSG, $total, $foundtotal);
echo '<form name="updateform" action="groupedit.php" method="post">';
echo '<table class="outer" cellpadding="4" cellspacing="1"><tr align="center"><td></td>';
foreach($grouplist as $gid => $groupname){
  echo '<th>'.$groupname.'<br /><input type="checkbox" onClick="groupChecking(this, '.$gid.')" />';
  echo '</th>';
}
echo '</tr>';

$myts =& MyTextSanitizer::getInstance();
foreach ($HTTP_POST_VARS as $k => $v) {
  if(array_search($k, $ignorePostVars) === false){
    if(is_array($v)){
      foreach($v as $val)
        $hiddenform .= "<input type='hidden' name='".$myts->oopsHtmlSpecialChars($k)."[]' value='".$myts->makeTboxData4PreviewInForm($val)."' />\n";
    }else
      $hiddenform .= "<input type='hidden' name='".$myts->oopsHtmlSpecialChars($k)."' value='".$myts->makeTboxData4PreviewInForm($v)."' />\n";
  }
}
if (!isset($HTTP_POST_VARS['limit'])) {
  $hiddenform .= "<input type='hidden' name='limit' value='".$limit."' />\n";
}
if (!isset($HTTP_POST_VARS['start'])) {
  $hiddenform .= "<input type='hidden' name='start' value='".$start."' />\n";
}

if ( $start < $foundtotal ) {
  if(!empty($curr_foundids_criteria))
    $foundusers =& $member_handler->getUsers($curr_foundids_criteria, true);

  foreach ($foundusers as $uid => $user) {
    $belongs = $user->getGroups();
    $cnt = 0;
    echo '<tr><td class="head">';
    echo $user->getVar('uname');
    echo '<input type="hidden" name="userids[]" value="'.$uid.'" /></td>';
    foreach($groupidlist as $groupid){
      echo '<td align="center" class="'.$clsval[$cnt++ % 2].'">';
      echo '<input type="checkbox" name="addgroup['.$groupid.'][]" value="'.$uid.'"' . (array_search($groupid, $belongs) !== false ? ' checked="checked"' : '') . ' />';
      echo '</td>';
    }
    echo '</tr>';
  }
  $totalpages = ceil($foundtotal / $limit);
  if ( $totalpages > 1 ) {
    $prev = $start - $limit;
    if ( $start - $limit >= 0 ) {
      $hiddenform .= "<a href='#0' onclick='javascript:document.updateform.start.value=".$prev.";document.updateform.submit();'>"._AM_PREVIOUS."</a>&nbsp;\n";
    }
    $counter = 1;
    $currentpage = ($start+$limit) / $limit;
    while ( $counter <= $totalpages ) {
      if ( $counter == $currentpage ) {
        $hiddenform .= "<b>".$counter."</b> ";
      } elseif ( ($counter > $currentpage-4 && $counter < $currentpage+4) || $counter == 1 || $counter == $totalpages ) {
        if ( $counter == $totalpages && $currentpage < $totalpages-4 ) {
          $hiddenform .= "... ";
        }
        $hiddenform .= "<a href='#".$counter."' onclick='javascript:document.updateform.start.value=".($counter-1)*$limit.";document.updateform.submit();'>".$counter."</a> ";
        if ( $counter == 1 && $currentpage > 5 ) {
          $hiddenform .= "... ";
        }
      }
      $counter++;
    }
    $next = $start + $limit;
    if ( $foundtotal > $next ) {
      $hiddenform .= "&nbsp;<a href='#".$foundtotal."' onclick='javascript:document.updateform.start.value=".$next.";document.updateform.submit();'>"._AM_NEXT."</a>\n";
    }
    //    $hiddenform .= "</form>";
  }
}
echo '<tr><td align="right" colspan="'.(count($grouplist) + 1).'">';
if(!empty($curr_foundids_criteria)){
  echo $hiddenform;
}
echo '<input type="submit" name="op" value="update" />';
echo '</td></tr>';
echo '</table></form>';
// ꥢѥեå
xoops_cp_footer();
?>
