<?php

function error_halt( $msg )
{
	global $xoopsLogger ;

	xoops_cp_header();
	include( './mymenu.php' ) ;
	echo $xoopsLogger->dumpQueries();
	OpenTable() ;
	echo $msg ;
	CloseTable() ;
	xoops_cp_footer();
}


require_once( '../../../include/cp_header.php' ) ;

// Ƽѥ
$mod_path = XOOPS_ROOT_PATH."/modules/piCal" ;
$mod_url = XOOPS_URL."/modules/piCal" ;
$php_self = "$mod_url/admin/maintenance.php" ;

$table_event = $xoopsDB->prefix('pical_event') ;
$table_cat = $xoopsDB->prefix('pical_cat') ;
$mid = $xoopsModule->mid() ;

// get TimeZones
$server_TZ = date( 'Z' ) / 3600 ;
$default_TZ = $xoopsConfig['default_TZ'] ;

// updating phase
if( ! empty( $_POST['do_04to06'] ) ) {

	if( ! xoops_refcheck() ) die( "open your referer" ) ;

	// table structure
	$sql = "ALTER TABLE $table_event 
		MODIFY id int(10) unsigned zerofill NOT NULL AUTO_INCREMENT,
		ADD poster_tz float(2,1) NOT NULL default 0.0 AFTER end,
		ADD server_tz float(2,1) NOT NULL default 0.0 AFTER end,
		ADD event_tz float(2,1) NOT NULL default 0.0 AFTER end,
		ADD comments mediumint(8) unsigned NOT NULL default '0' AFTER end,
		ADD cid smallint(5) unsigned zerofill NOT NULL default '0' AFTER end,
		ADD end_date date AFTER end,
		ADD start_date date AFTER end" ;
	if( ! $xoopsDB->query( $sql ) ) error_halt( _AM_MB_FAILUPDATETABLE ) ;

	// TimeZones of all records
	$sql = "UPDATE $table_event SET 
		dtstamp = dtstamp,
		server_tz = $server_TZ,
		poster_tz = tzid,
		event_tz = tzid" ;
	if( ! $xoopsDB->query( $sql ) ) error_halt( _AM_MB_FAILUPDATETABLE ) ;

	// older tzid field update
	$sql = "UPDATE $table_event SET dtstamp=dtstamp,tzid='',event_tz=9.0,poster_tz=9.0 WHERE tzid='Japan'" ;
	if( ! $xoopsDB->query( $sql ) ) error_halt( _AM_MB_FAILUPDATETABLE ) ;

	// Counting comments
	$sql = 'SELECT com_itemid,count(*) FROM ' . $xoopsDB->prefix('xoopscomments') . " WHERE com_modid=$mid GROUP BY com_itemid" ;
	$rs = $xoopsDB->query( $sql ) ;
	while( list( $id , $sum ) = $xoopsDB->fetchRow( $rs ) ) {
		$xoopsDB->query( "UPDATE $table_event SET dtstamp=dtstamp,comments=$sum WHERE id=$id" ) ;
	}

	xoops_cp_header();
	include( './mymenu.php' ) ;
	echo $xoopsLogger->dumpQueries();
	redirect_header( $php_self , 5 , _AM_MB_SUCCESSUPDATETABLE ) ;

} else if( ! empty( $_POST['create_cat'] ) ) {

	if( ! xoops_refcheck() ) die( "open your referer" ) ;

$sql = "CREATE TABLE $table_cat (
  cid smallint(5) unsigned zerofill NOT NULL auto_increment,
  pid smallint(5) unsigned zerofill NOT NULL default '0',
  weight smallint(5) NOT NULL default 0,
  exportable tinyint NOT NULL default 1,
  autocreated tinyint NOT NULL default 0,
  ismenuitem tinyint NOT NULL default 0,
  enabled tinyint NOT NULL default 1,
  cat_title varchar(255) NOT NULL default '',
  cat_desc text NOT NULL default '',
  dtstamp TIMESTAMP(14) NOT NULL,
  cat_extkey0 INT(10) unsigned zerofill NOT NULL DEFAULT 0,
  cat_extkey1 INT(10) unsigned zerofill NOT NULL DEFAULT 0,
  PRIMARY KEY (cid)
) TYPE=MyISAM" ;
	$rs = $xoopsDB->query( $sql ) ;

	xoops_cp_header();
	include( './mymenu.php' ) ;
	echo $xoopsLogger->dumpQueries();
	redirect_header( $php_self , 5 , _AM_MB_SUCCESSUPDATETABLE ) ;

} else if( ! empty( $_POST['repair_stz'] ) ) {

	if( ! xoops_refcheck() ) die( "open your referer" ) ;

	$sql = "UPDATE $table_event SET dtstamp=dtstamp,start=start+(server_tz-$server_TZ)*3600,end=end+(server_tz-$server_TZ)*3600,server_tz=$server_TZ WHERE server_tz<>$server_TZ" ;
	$rs = $xoopsDB->query( $sql ) ;

	xoops_cp_header();
	include( './mymenu.php' ) ;
	echo $xoopsLogger->dumpQueries();
	redirect_header( $php_self , 5 , _AM_MB_SUCCESSUPDATETABLE ) ;
}




// checking phase
$sql4check_040 = "SELECT rrule_pid FROM ".$xoopsDB->prefix('pical_event')." LIMIT 1" ;
$sql4check_060 = "SELECT event_tz FROM ".$xoopsDB->prefix('pical_event')." LIMIT 1" ;
$sql4check_cat = "SELECT cid FROM ".$xoopsDB->prefix('pical_cat')." LIMIT 1" ;
$sql4check_stz = "SELECT COUNT(*) FROM ".$xoopsDB->prefix('pical_event')." WHERE server_tz <> $server_TZ" ;
$is_040 = $xoopsDB->query( $sql4check_040 ) ;
$is_060 = $xoopsDB->query( $sql4check_060 ) ;
$has_cat = $xoopsDB->query( $sql4check_cat ) ;
$rs_stz = $xoopsDB->query( $sql4check_stz ) ;

// displaying phase
xoops_cp_header();
include( './mymenu.php' ) ;

if( ! $is_040 ) {

	OpenTable() ;
	echo _AM_ALRT_TOOOLDTABLE ;
	CloseTable() ;

} else if( ! $is_060 ) {

	OpenTable() ;
	echo _AM_ALRT_OLDTABLE ;
	echo "
		<br />(0.4x, 0.5x -> 0.6)
		<form action='$php_self' method='post'>
			<input type='submit' name='do_04to06' value='"._GO."' />
		</form>\n" ;
	CloseTable() ;

} else if( ! $has_cat ) {

	OpenTable() ;
	echo _AM_ALRT_CATTABLENOTEXIST ;
	echo "
		<br />
		<form action='$php_self' method='post'>
			<input type='submit' name='create_cat' value='"._GO."' />
		</form>\n" ;
	CloseTable() ;

} else {

	list( $wrong_stzs ) = $xoopsDB->fetchRow( $rs_stz ) ;
	if( $wrong_stzs > 0 ) {

		OpenTable() ;
		printf( _AM_FMT_WRONGSTZ , $wrong_stzs ) ;
		echo "
			<br />
			<form action='$php_self' method='post'>
				<input type='submit' name='repair_stz' value='"._GO."' />
			</form>\n" ;
		CloseTable() ;

	} else {

		OpenTable() ;
		echo _AM_NOTICE_NOERRORS ;
		CloseTable() ;

	}
}

xoops_cp_footer();
?>
