<?php

class sunday_Text_Wiki_Rule_footnote extends Text_Wiki_Rule {
	var $footnoteCount_ =1;
	var $footnote_ =array();
    
    var $regex =  "/\(\((.*?)\)\)/m";
    
	function parse()
	{
		parent::parse();

		if($this->footnoteCount_>1) {
			$this->_wiki->_source.="<p>";
			for($i=1;$i<$this->footnoteCount_;$i++) {
				$this->_wiki->_source.=
					'<span style="font-size:x-small;"><a name="footnote'.$i.'"></a>'.
					'<a href="#footorigin'.$i.'">*'.$i.'</a> '.
					$this->footnote_[$i].'</span><br/>';
			}
			$this->_wiki->_source.="</p>";
		}
	}

    function process(&$matches)
    {
        $start = $this->addToken(array('type' => 'start'));
        $end = $this->addToken(array('type' => 'end'));
        $return = $start . "<a name=\"footorigin".$this->footnoteCount_."\"></a>".
            "<a href=\"#footnote".$this->footnoteCount_ .
        	"\">*".$this->footnoteCount_."</a>".$end;

		$this->footnote_[$this->footnoteCount_]=$matches[1];
        $this->footnoteCount_++;

        return $return;
    }
    
	// FIXME: ̣ʤȤʤġ? ʤ󤫰㤦Ǥʤ?
    function renderXhtml($options)
    {
        if ($options['type'] == 'start') {
            return '<sup>';
        }
        
        if ($options['type'] == 'end') {
            return '</sup>';
        }
    }
}
?>