<?php
/**
 * common functions
 *
 *
 * @package uhw4xoops
 * @subpackage groupadmin
 * @author	Katsuo Mogi mogi-k2@msg.biglobe.ne.jp
 * @since   1.0
 * @version $Id: functions.php,v 1.1 2004/03/21 02:21:42 mainpc Exp $
 */

/**
 * get users by multiple groups
 *
 * @access  public
 * @param   object   memberhandler
 * @param   array    groupid
 * @return  array    belonging uids
 */
function users_by_multigroup(&$member_handler, &$groupids){
  $intersectids = array();
  $foundids = $member_handler->getUsersByGroup(array_shift($groupids));
  if($groupids){
    $retids = users_by_multigroup($member_handler, $groupids);
    foreach($retids as $id){
      if(array_search($id, $foundids) !== false){
        $intersectids[] = $id;
      }
    }
    return $intersectids;
    // array_intersect is PHP4.0.4 can't use
    // return array_intersect(users_by_multigroup($member_handler, $groupids), $foundids);
  }else
    return $foundids;
}
?>