# phpMyAdmin SQL Dump
# version 2.5.2
# http://www.phpmyadmin.net
#

#
# Table structure for table `myaddress_cat`
#

CREATE TABLE myaddress_cat (
  cid int(10) unsigned NOT NULL auto_increment,
  pid int(10) unsigned NOT NULL default '0',
  title varchar(50) NOT NULL default '',
  imgurl varchar(150) NOT NULL default '',
  PRIMARY KEY  (cid),
  KEY pid (pid)
) TYPE=MyISAM;

#
# Table structure for table `myaddress_addressbook`
#

CREATE TABLE myaddress_addressbook (
  aid int(10) unsigned NOT NULL auto_increment,
  cid tinyint(4) unsigned NOT NULL default '0',
  relations varchar(50) NOT NULL default '',
  first_name varchar(50) NOT NULL default '',
  last_name varchar(50) NOT NULL default '',
  fullname varchar(100) NOT NULL default '',
  first_name_jh varchar(50) NOT NULL default '',
  last_name_jh varchar(50) NOT NULL default '',
  fullname_jh varchar(100) NOT NULL default '',
  first_name2 varchar(50) NOT NULL default '',
  myzipcode varchar(20) NOT NULL default '',
  myaddress1 varchar(100) NOT NULL default '',
  myaddress2 varchar(100) NOT NULL default '',
  myaddress3 varchar(100) NOT NULL default '',
  myphone varchar(20) NOT NULL default '',
  myfax varchar(20) NOT NULL default '',
  mycellphone1 varchar(20) NOT NULL default '',
  mycellphone2 varchar(20) NOT NULL default '',
  myemail1 varchar(50) NOT NULL default '',
  myemail2 varchar(50) NOT NULL default '',
  myemail3 varchar(50) NOT NULL default '',
  myemail4 varchar(50) NOT NULL default '',
  myweb varchar(100) NOT NULL default '',
  mycomments text NOT NULL,
  c_id int(10) NOT NULL default '0',
  cdepart varchar(100) NOT NULL default '',
  ctitle varchar(100) NOT NULL default '',
  cphone varchar(20) NOT NULL default '',
  cfax varchar(20) NOT NULL default '',
  disclosed tinyint(1) NOT NULL default '1',
  uid int(10) unsigned NOT NULL default '0',
  updated timestamp(14) NOT NULL,
  PRIMARY KEY  (aid),
  KEY cid (cid),
  KEY classified (relations),
  KEY fullname_jh (fullname_jh),
  KEY c_id (c_id)
) TYPE=MyISAM;

#
# Table structure for table `myaddress_company`
#

CREATE TABLE myaddress_company (
  c_id int(10) unsigned NOT NULL auto_increment,
  cid tinyint(4) unsigned NOT NULL default '0',
  cname varchar(100) NOT NULL default '',
  cname_jh varchar(100) NOT NULL default '',
  cdivision varchar(100) NOT NULL default '',
  czipcode varchar(20) NOT NULL default '',
  caddress1 varchar(100) NOT NULL default '',
  caddress2 varchar(100) NOT NULL default '',
  caddress3 varchar(100) NOT NULL default '',
  cphone varchar(20) NOT NULL default '',
  cfax varchar(20) NOT NULL default '',
  cweb varchar(100) NOT NULL default '',
  ccomments text NOT NULL,
  uid int(10) NOT NULL default '0',
  updated timestamp(14) NOT NULL,
  UNIQUE KEY ckey (c_id,cdivision),
  KEY cid (cid),
  KEY cname_jh (cname_jh)
) TYPE=MyISAM;

#
# Table structure for table `myaddress_relations`
#

CREATE TABLE myaddress_relations (
  rid tinyint(4) unsigned NOT NULL auto_increment,
  title varchar(50) NOT NULL default '',
  weight tinyint(4) unsigned NOT NULL default '0',
  gid smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (rid),
  KEY gid (gid)
) TYPE=MyISAM;
