<?php
// $Id: news_ctop.php,v 1.1 2003/06/18 18:23:32 Ryuji Exp $
//  ------------------------------------------------------------------------ //
//                XOOPS - PHP Content Management System                      //
//                    Copyright (c) 2000 XOOPS.org                           //
//                       <http://www.xoops.org/>                             //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  You may not change or alter any portion of this comment or credits       //
//  of supporting developers from this source code or any supporting         //
//  source code which is considered copyrighted (c) material of the          //
//  original comment or credit authors.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
//  ------------------------------------------------------------------------ //
// options
//	0	ȥ
//	1	ɽ
//	2	˥塼ȥʸ
//	3	ɽ륫ƥ0ƥ̤
//	4	hometextɽ
//	5	ȥԥåɽ
include_once  XOOPS_ROOT_PATH."/modules/news/include/article.inc.php";
include_once XOOPS_ROOT_PATH."/class/xoopstree.php";
function b_news_Ctop_show($options) {
	global $xoopsDB;
	$mytree = new XoopsTree($xoopsDB->prefix("topics"),"topic_id","topic_pid");
	$myts =& MyTextSanitizer::getInstance();

	$block = array();

	$arr=array();
	//롼ȥƥ륯
	if(intval($options[3]) ==0){
		//롼ȥƥ
		$result=$xoopsDB->query("select topic_id, topic_title,topic_imgurl from ".$xoopsDB->prefix("topics")." where topic_pid=0 ORDER BY topic_title");
	}else{
		//ꥫƥΤ
		$result=$xoopsDB->query("select topic_id, topic_title,topic_imgurl from ".$xoopsDB->prefix("topics")." where topic_id=".$options[3]);
	}
	$e = 0;
	//$rankings = array();
	while(list($topic_id, $topic_title, $topic_imgurl)=$xoopsDB->fetchRow($result)){
		$block['topics'][$e]['title'] = $myts->makeTboxData4Show($topic_title);
		$block['topics'][$e]['id'] = $topic_id;
		//ȥԥå򥻥å
		$ret = '';
		if ($topic_imgurl != '' && file_exists(XOOPS_ROOT_PATH."/modules/news/images/topics/".$topic_imgurl) && $options[5]) {
			$block['topics'][$e]['imglink']  = "<a href='".XOOPS_URL."/modules/news/index.php?storytopic=".$topic_id."'><img src='".XOOPS_URL."/modules/news/images/topics/".$topic_imgurl."' alt='".$topic_title."' hspace='10' vspace='10' /></a>";
		}


		$query1 = "SELECT storyid, title, hometext, bodytext, published, expired, counter FROM ".$xoopsDB->prefix("stories")." WHERE published < ".time()." AND published > 0 AND (expired = 0 OR expired > ".time().") and (topicid=".$topic_id; // Ryuji_edit(2003-05-08)
		$query2 = "SELECT storyid, title, published, expired, counter FROM ".$xoopsDB->prefix("stories")." WHERE published < ".time()." AND published > 0 AND (expired = 0 OR expired > ".time().") and (topicid=".$topic_id; // Ryuji_edit(2003-05-08)
		$query3 = "SELECT count(*) FROM ".$xoopsDB->prefix("stories")." WHERE published < ".time()." AND published > 0 AND (expired = 0 OR expired > ".time().") and (topicid=".$topic_id; // Ryuji_edit(2003-05-08)

		// get all child cat ids for a given cat id
		$arr=$mytree->getAllChildId($topic_id);
		$size = count($arr);
		for($i=0;$i<$size;$i++){
			$query1 .= " or topicid=".$arr[$i]."";
			$query2 .= " or topicid=".$arr[$i]."";
			$query3 .= " or topicid=".$arr[$i]."";
		}
		$query1 .= ") ORDER BY ".$options[0]." DESC";
		$query2 .= ") ORDER BY ".$options[0]." DESC";
		$query3 .= ") ORDER BY ".$options[0]." DESC";

		$result2 = $xoopsDB->query($query3,0,0);
		list($count) = $xoopsDB->fetchrow($result2);
		if(intval($count) > $options[1]){
			//³Υ˥塼ͭ
			$block['topics'][$e]['morelink'] = "<a href='".XOOPS_URL."/modules/news/index.php?storytopic=".$topic_id."&start=".$options[1]."'>"._MB_NEWS_MORE."</a>";
		}

		//ʸɽ
		if ($options[4] > 0){
			$result2 = $xoopsDB->query($query1,$options[4],0);
			while ( $myrow = $xoopsDB->fetchArray($result2) ) {
				$block['topics'][$e]['stories1'][] = article_inc($myrow["storyid"]);
				
			}
		}
		//ȥΤɽ
		$limit = $options[1]-$options[4];
		if($limit > 0){
			$result2 = $xoopsDB->query($query2,$limit,$options[4]);
			while ( $myrow = $xoopsDB->fetchArray($result2) ) {
				
				$block['topics'][$e]['stories2'][] = b_news_Ctop_format_story($myrow, $options);
			}
		}

		$e++;
	}

	$block['lang_postedby'] = _POSTEDBY;
	$block['lang_on'] = _ON;
	$block['lang_reads'] = _READS;

	return $block;
}

function b_news_Ctop_edit($options) {
	$form = ""._MB_NEWS_ORDER."&nbsp;<select name='options[]'>";
	$form .= "<option value='published'";
	if ( $options[0] == "published" ) {
		$form .= " selected='selected'";
	}
	$form .= ">"._MB_NEWS_DATE."</option>\n";
	$form .= "<option value='counter'";
	if($options[0] == "counter"){
		$form .= " selected='selected'";
	}
	$form .= ">"._MB_NEWS_HITS."</option>\n";
	$form .= "</select>\n";
	$form .= "&nbsp;"._MB_NEWS_DISP."&nbsp;<input type='text' name='options[]' value='".$options[1]."' />&nbsp;"._MB_NEWS_ARTCLS."";
	$form .= "&nbsp;<br>"._MB_NEWS_CHARS."&nbsp;<input type='text' name='options[]' value='".$options[2]."' />&nbsp;"._MB_NEWS_LENGTH."";
	$form .= "&nbsp;<br>"._MB_NEWS_DISP_TOPICID."&nbsp;<input type='text' name='options[]' value='".$options[3]."' />&nbsp;"."";
	$form .= "&nbsp;<br>"._MB_NEWS_DISP_HOMETEXT."&nbsp;<input type='text' name='options[]' value='".$options[4]."' />&nbsp;"._MB_NEWS_ARTCLS."";

	$form .= ""._MB_NEWS_DIPS_ICON."&nbsp;<select name='options[]'>";
	$form .= "<option value='0'";
	if ( $options[5] == "0" ) {
		$form .= " selected='selected'";
	}
	$form .= ">"._NO."</option>\n";
	$form .= "<option value='1'";
	if($options[5] == "1"){
		$form .= " selected='selected'";
	}
	$form .= ">"._YES."</option>\n";
	$form .= "</select>\n";

	return $form;
}

function b_news_Ctop_format_story($aStory_array, $options){
	$myts =& MyTextSanitizer::getInstance();

	$news = array();
	$title = $myts->makeTboxData4Show($aStory_array["title"]);
	if ( !XOOPS_USE_MULTIBYTES ) {
		if (strlen($aStory_array['title']) >= $options[2]) {
			$title = $myts->makeTboxData4Show(substr($aStory_array['title'],0,($options[2] -1)))."...";
		}
	}
	$news['title'] = $title;
	if(!empty($aStory_array['hometext'])){
		$news['hometext'] = $myts->makeTareaData4Show($aStory_array['hometext']); // Ryuji_edit(2003-05-08)
		$news['id'] = $aStory_array['storyid'];
		if($aStory_array['bodytext']){
			$news['morelinkText'] = _MB_NEWS_MORE;
		}
	}
	$news['id'] = $aStory_array['storyid'];
	if ( $options[0] == "published" ) {
		$news['date'] = formatTimestamp($aStory_array['published'],"s");
	} elseif ( $options[0] == "counter" ) {
		$news['hits'] = $aStory_array['counter'];
	}
	return $news;
}
///////////////////



?>