<?php
// $Id: article.inc.php,v 1.3 2003/08/26 17:05:21 Ryuji Exp $
//  ------------------------------------------------------------------------ //
//                XOOPS - PHP Content Management System                      //
//                    Copyright (c) 2000 XOOPS.org                           //
//                       <http://www.xoops.org/>                             //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  You may not change or alter any portion of this comment or credits       //
//  of supporting developers from this source code or any supporting         //
//  source code which is considered copyrighted (c) material of the          //
//  original comment or credit authors.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
//  ------------------------------------------------------------------------ //
include_once  XOOPS_ROOT_PATH."/modules/news/class/class.newsstory.php";
if (file_exists(XOOPS_ROOT_PATH.'/modules/news/language/'.$xoopsConfig['language'].'/main.php')) {
	include XOOPS_ROOT_PATH.'/modules/news/language/'.$xoopsConfig['language'].'/main.php';
}elseif (file_exists(XOOPS_ROOT_PATH.'/modules/news/language/'.$xoopsConfig['language'].'/main.php')) {
	include XOOPS_ROOT_PATH.'/modules/news/language/english/main.php';
}

function article_inc($storyid){
	global $xoopsDB;
	global $xoopsUser ;
	global $xoopsConfig ;
	//	global $xoopsModuleConfig ;

	//get news module id
	$rs = $xoopsDB->query( "SELECT mid FROM ".$xoopsDB->prefix('modules')." WHERE dirname='news'" ) ;
	$mids = $xoopsDB->fetchRow( $rs ) ;
	$mid = $mids[ 0 ] ;
	//get news module config
	$sql = "SELECT conf_name,conf_value FROM ".$xoopsDB->prefix('config')." WHERE conf_modid=$mid" ;
	$rs = $xoopsDB->query( $sql ) ;
	while( $conf = $xoopsDB->fetchRow( $rs ) ) {
		$newsModuleConfig[$conf[0]] =$conf[1];
	}

	$story = array();

	$article = new NewsStory($storyid);
	$story['id'] = $storyid;
	//$story['posttime'] = formatTimestamp($article->created());
	$story['posttime'] = formatTimestamp($article->published());
	//$story['title'] = $article->textlink()."&nbsp;:&nbsp;".$article->title();
	//$story['title'] = $article->title();
	$story['title'] = "<a href='".XOOPS_URL."/modules/news/article.php?storyid=".$article->storyid()."'>".$article->title()."</a>";

	$story['text'] = $article->hometext();
	//$bodytext = $article->bodytext();

	$story['poster'] = $article->uname();
	if ( $story['poster'] ) {
		$story['posterid'] = $article->uid();
		$story['poster'] = '<a href="'.XOOPS_URL.'/userinfo.php?uid='.$story['posterid'].'">'.$story['poster'].'</a>';
	} else {
		$story['poster'] = '';
		$story['posterid'] = 0;
		$story['poster'] = $xoopsConfig['anonymous'];
	}
	$story['morelink'] = '';

	$story['adminlink'] = '';
	unset($isadmin);
	if ( $xoopsUser && $xoopsUser->isAdmin($mid) ) {
		$isadmin = true;
		$story['adminlink'] = $article->adminlink();
	}
	$story['topicid'] = $article->topicid();
	$story['imglink'] = '';
	$story['align'] = '';
	if ( $article->topicdisplay() ) {
		$story['imglink'] = $article->imglink();
		$story['align'] = $article->topicalign();
	}
	$morelink = '';
	$introcount = strlen($story['text']);
	$fullcount = strlen($article->bodytext());
	$totalcount = $introcount + $fullcount;
	unset($morelinks);
	if ( $fullcount > 1 ) {
		//³С$morelink
		//$morelink .= '<a href="'.XOOPS_URL.'/modules/news/article.php?storyid='.$article->storyid().'';
		//$morelink .= '">'._NW_READMORE.'</a> | ';
		$morelinks[1] = sprintf(_NW_BYTESMORE,$totalcount);
	}
	$ccount = $article->comments();
	$morelink2 = '<a href="'.XOOPS_URL.'/modules/news/article.php?storyid='.$article->storyid().'">';

	$com_itemid = $article->storyid();
	if (is_object($xoopsUser)) {
		$com_mode = $xoopsUser->getVar('umode');
	} else {
		$com_mode = $xoopsConfig['com_mode'];
	}
	if (is_object($xoopsUser)) {
		$com_order = $xoopsUser->getVar('uorder');
	} else {
		$com_order = $xoopsConfig['com_order'];
	}

	if(($fullcount > 1) || ($ccount > 0)){
		//³ʸ뤫ȤС³ץ
		$morelinks[0] = '<a href="'.XOOPS_URL.'/modules/news/article.php?storyid='.$article->storyid().'';
		$morelinks[0] .= '">'._NW_READMORE.'</a>';
	}

	unset($postcomment_link);
	if (0 != $newsModuleConfig['com_rule']){

		if (!empty($newsModuleConfig['com_anonpost']) || is_object($xoopsUser)) {
			//ȤĤƤСƤؤΥ󥯤
			$postcomment_link = 'comment_new.php?com_itemid='.$com_itemid.'&amp;com_order='.$com_order.'&amp;com_mode='.$com_mode;

			//$xoopsTpl->assign('anon_canpost', true);
		}
		//ȤΥ
		if (isset($postcomment_link)) {
			//֥Ȥפ
			$newCommentlink = '<a href="'.XOOPS_URL.'/modules/news/'.$postcomment_link.'">'._NW_COMMENTS.'</a>';
		}else{
			//֥Ȥˤϡ桼Ͽפ
			$newCommentlink = '<a href="'.XOOPS_URL.'/register.php">'._NW_REGISTER.'</a>';
		}


		//ȿˤäƥȥ󥯤ѹ
		switch ($ccount){
		  case 0:
			$morelinks[2] = $newCommentlink;
			break;
		  case 1:
			$morelinks[2] = $morelink2 . _NW_ONECOMMENT.'</a>';
			break;
		  default:
			$morelinks[2] = $morelink2 . sprintf(_NW_NUMCOMMENTS, $ccount) . '</a>';
			break;
		}
	}
	//$morelink
	ksort($morelinks);
	$morelink = implode(" | ", $morelinks);
	/*
	if ( $ccount == 0 ) {
		//ߥȤ̵Сȥ󥯤$morelinkɲ
		$morelink .= $newCommentlink;
	} else {
		//Ȥ롣
		$morelink .= '<a href="'.XOOPS_URL.'/modules/news/article.php?storyid='.$article->storyid().'';
		if ( $fullcount < 1 ) {
			//ĤŤ̵
			if ( $ccount == 1 ) {
				$morelink .= '">'._NW_READMORE.'</a> | '.$morelink2.'">'._NW_ONECOMMENT.'</a>';
			} else {
				$morelink .= '">'._NW_READMORE.'</a> | '.$morelink2.'">';
				$morelink .= sprintf(_NW_NUMCOMMENTS, $ccount);
				$morelink .= '</a>';
			}
		} else {
			//ĤŤ
			if ( $ccount == 1 ) {
				$morelink .= '">'._NW_ONECOMMENT.'</a>';
			} else {
				$morelink .= '">';
				$morelink .= sprintf(_NW_NUMCOMMENTS, $ccount);
				$morelink .= '</a>';
			}
		}
	}
	 */
	$story['morelink'] = $morelink;

	$story['hits'] = $article->counter();
	return $story;
}
?>