<?php
// $Id: class.fileup.php,v 1.0.2 2004/06/06 10:50:00 Yoshi.S Exp $
//  ------------------------------------------------------------------------ //
//                XOOPS - PHP Fileup Management Program                      //
//                    Copyright (c) 2004 Bluemoon inc.                       //
//                       <http://www.bluemooninc.biz/>                       //
//  ------------------------------------------------------------------------ //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  You may not change or alter any portion of this comment or credits       //
//  of supporting developers from this source code or any supporting         //
//  source code which is considered copyrighted (c) material of the          //
//  original comment or credit authors.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
// ------------------------------------------------------------------------- //
include_once XOOPS_ROOT_PATH.'/modules/news/fileup.ini.php';
include_once XOOPS_ROOT_PATH.'/modules/news/thumb.php';
//
// file upload by Y.Sakai 2004/3/14
//
function news_fileup( $addmsg ,$permission=0 ) {
	global $xoopsUser;
	global $subtype,$viri,$imgtype,$embedtype,$embed_w,$embed_h,$thumb_ext,$img_dir,$thumb_dir,$w,$h;
	$permission = sprintf("%03d",$permission);
	$upfile        = $_FILES['upfile'];					// Upload file object
	$upfile_tmp    = $_FILES['upfile']['tmp_name'];		// Temp File Name
	$upfile_name    = $_FILES['upfile']['name'];		// Local File Name
	$upfile_size    = $_FILES['upfile']['size'];		// Size
	$upfile_type    = $_FILES['upfile']['type'];		// MIME Type
	if ($upfile_tmp != "" && is_object($xoopsUser)){
		// Disp File Infomation for debug
		//print("File Infomation:<BR>\n");
		//print("File From : $upfile_tmp<BR>\n");
		//print("File To : $upfile_name<BR>\n");
		//print("File Size - $upfile_size<BR>\n");
		//print("File type - $upfile_type<BR>\n");
		if (eregi($subtype, $upfile_type)){ $deny=0; } else { $deny=1; };
		$ext = strtolower(end(explode(".",$upfile_name))); 
		if (eregi($viri, $ext)) $deny = 2;
		if (eregi($imgtype, $upfile_type)){
			$upfile_localname=$xoopsUser->getVar('uname')."_".time().$permission."_".cnv_mbstr($upfile_name);		// convert for mbstrings
			$upfile_url=XOOPS_URL.$img_dir.rawurlencode($upfile_localname);
			copy($upfile_tmp,XOOPS_ROOT_PATH.$img_dir.$upfile_localname);
			// Thumbs Support ( PHP GD Libraly Required )
			if (eregi($thumb_ext,$upfile_localname)) {
				$size = getimagesize(XOOPS_ROOT_PATH.$img_dir.$upfile_localname);
				if ($size[0] > $w || $size[1] > $h) {
					$thumbfilename = thumb_create(XOOPS_ROOT_PATH.$img_dir.$upfile_localname,$w,$h,XOOPS_ROOT_PATH.$thumb_dir);
					$addimg = "\n<a href=".$upfile_url.">[img align=left]".XOOPS_URL.$thumb_dir.rawurlencode($thumbfilename)."[/img]</a>\n";
				} else {
					$addimg = "\n[img align=left]".$upfile_url."[/img]\n";
				}
			} else {
				$addimg = "\n[img align=left]".$upfile_url."[/img]\n";
			}
			$addmsg = $addimg.$addmsg;
		} elseif (eregi($embedtype, $upfile_type)){
			$upfile_localname=$xoopsUser->getVar('uname')."_".time().$permission."_".cnv_mbstr($upfile_name);		// convert for mbstrings
			$upfile_url=XOOPS_URL.$img_dir.rawurlencode($upfile_localname);
    	    copy($upfile_tmp,XOOPS_ROOT_PATH.$img_dir.$upfile_localname);
			$addmsg = "\n<EMBED src=\"".$upfile_url."\" WIDTH=\"".$embed_w."\" HEIGHT=\"".$embed_h.
				"\" autostart=\"false\" controller=\"true\" hspace=\"5\" align=\"left\" alt=\"\">".
				$addmsg."</EMBED>\n";
		} elseif ($deny==0) {
			$upfile_localname=$xoopsUser->getVar('uname')."_".$upfile_name.".".time().$permission;
			$upfile_url='/'.rawurlencode($upfile_localname);	// XOOPS_UPLOAD_URL.
			$upfile_localname = cnv_mbstr($upfile_localname);		// convert for mbstrings
	   	    copy($upfile_tmp,UPLOADS.$upfile_localname);
			$addmsg .= "&nbsp;:download:";
			$addmsg .= "[url=".XOOPS_URL."/modules/news/download.php?url=".$upfile_url."]".$upfile_name."[/url]\n";
		} else {
			$addmsg .= "\nUpload Denied(".$deny.")MIME[".$upfile_type."]ext[".$ext."]AcceptMIME[".$subtype."]";
		}
	}
	return $addmsg;
}
//
// Support for Multi-byte filename. By Y.Sakai 2004/4/11
//
function cnv_mbstr($str) {
	if (extension_loaded('mbstring')){
		return  mb_convert_encoding($str,SAVE_AS_MBSTR,"auto");
	} else {
		return $str;
	}
}
?>