<?php

function display_edit_form( $cat , $form_title , $action )
{
	global $PHP_SELF , $cattree ;

	// Beggining of XoopsForm
	$form = new XoopsThemeForm( $form_title , 'MainForm' , $PHP_SELF ) ;

	// Hidden
	$form->addElement( new XoopsFormHidden( 'action' , $action ) ) ;
	$form->addElement( new XoopsFormHidden( 'cid' , $cat->cid ) ) ;

	// Subject
	$form->addElement( new XoopsFormText( _AM_CAT_TH_TITLE , 'cat_title' , 60 , 128 , $cat->cat_title ) , true ) ;

	// Description
	$tarea_tray =  new XoopsFormElementTray( _AM_CAT_TH_DESC , '<br />' ) ;
	$tarea_tray->addElement( new XoopsFormDhtmlTextArea( '' , 'cat_desc' , $cat->cat_desc , 15 , 60 ) ) ;
	$form->addElement($tarea_tray);

	// Parent Category
	ob_start() ;
	$cattree->makeMySelBox( "cat_title" , "weight" , $cat->pid , 1 , 'pid' ) ;
	$cat_selbox = ob_get_contents() ;
	ob_end_clean() ;
	$form->addElement( new XoopsFormLabel( _AM_CAT_TH_PARENT , $cat_selbox ) ) ;

	// Weight
	$form->addElement( new XoopsFormText( _AM_CAT_TH_WEIGHT , 'weight', 6 , 6 , $cat->weight ) , true ) ;

	// Options
	$checkbox_tray =  new XoopsFormElementTray( _AM_CAT_TH_OPTIONS , '<br />' ) ;
	$ismenuitem_checkbox =  new XoopsFormCheckBox( '' , 'ismenuitem' , $cat->ismenuitem ) ;
	$ismenuitem_checkbox->addOption( 1 , _AM_CAT_TH_SUBMENU ) ;
	$checkbox_tray->addElement( $ismenuitem_checkbox ) ;
	$form->addElement( $checkbox_tray ) ;

	// Last Modified
	$form->addElement( new XoopsFormLabel( _AM_CAT_TH_LASTMODIFY , formatTimestamp( $cat->udtstamp ) ) ) ;

	// Buttons
	$button_tray = new XoopsFormElementTray( '' , '&nbsp;' ) ;
	$button_tray->addElement( new XoopsFormButton( '' , 'submit' , _SUBMIT, 'submit' ) ) ;
	$button_tray->addElement( new XoopsFormButton( '' , 'reset' , _CANCEL, 'reset' ) ) ;
	$form->addElement( $button_tray ) ;

	// End of XoopsForm
	$form->display();
}


// ĥ꡼ˤʤ褦ˡweightƷ׻ĥ꡼ο¬äƤ
// ˤϻŪcat_extkey1
function rebuild_cat_tree()
{
	global $conn , $cat_table ;

	$rs = mysql_query( "SELECT cid,pid FROM $cat_table ORDER BY pid ASC,weight DESC" , $conn ) ;
	$cats[0] = array( 'cid' => 0 , 'pid' => -1 , 'next_key' => -1 , 'depth' => 0 ) ;
	$key = 1 ;
	while( $cat = mysql_fetch_object( $rs ) ) {
		$cats[ $key ] = array( 'cid' => intval( $cat->cid ) , 'pid' => intval( $cat->pid ) , 'next_key' => $key + 1 , 'depth' => 0 ) ;
		$key ++ ;
	}
	$sizeofcats = $key ;

	$loop_check_for_key = 1024 ;
	for( $key = 1 ; $key < $sizeofcats ; $key ++ ) {
		$cat =& $cats[ $key ] ;
		$target =& $cats[ 0 ] ;
		if( -- $loop_check_for_key < 0 ) $loop_check = -1 ;
		else $loop_check = 4096 ;

		while( 1 ) {
			if( $cat['pid'] == $target['cid'] ) {
				$cat['depth'] = $target['depth'] + 1 ;
				$cat['next_key'] = $target['next_key'] ;
				$target['next_key'] = $key ;
				break ;
			} else if( -- $loop_check < 0 ) {
				mysql_query( "UPDATE $cat_table SET pid='0' WHERE cid={$cat['cid']}" , $conn ) ;
				$cat['depth'] = 1 ;
				$cat['next_key'] = $target['next_key'] ;
				$target['next_key'] = $key ;
				break ;
			} else if( $target['next_key'] < 0 ) {
				$cat_backup = $cat ;
				array_splice( $cats , $key , 1 ) ;
				array_push( $cats , $cat_backup ) ;
				-- $key ;
				break ;
			}
			$target =& $cats[ $target['next_key'] ] ;
		}
	}

	$cat =& $cats[ 0 ]  ;
	for( $weight = 1 ; $weight < $sizeofcats ; $weight ++ ) {
		$cat =& $cats[ $cat['next_key'] ] ;
		mysql_query( "UPDATE $cat_table SET weight=".($weight*10).",cat_extkey1={$cat['depth']} WHERE cid={$cat['cid']}" , $conn ) ;
	}
}


/* function rebuild_cat_tree()
{
	global $conn , $cat_table ;

	$rs = mysql_query( "SELECT cid,pid FROM $cat_table ORDER BY pid ASC,weight DESC" , $conn ) ;
	$cats[0] = array( 'cid' => 0 , 'pid' => -1 , 'next_key' => 1 , 'depth' => 0 ) ;
	$key = 1 ;
	while( $cat = mysql_fetch_object( $rs ) ) {
		$cats[ $key ] = array( 'cid' => intval( $cat->cid ) , 'pid' => intval( $cat->pid ) , 'next_key' => ++ $key , 'depth' => 0 ) ;
	}
	$sizeofcats = $key ;
	$cats[ $key - 1 ]['next_key'] = -1 ;

	for( $key = 1 ; $key < $sizeofcats ; $key ++ ) {
		$cat =& $cats[ $key ] ;
		$target =& $cats[ 0 ] ;
		$loop_check = 16 ;
		while( $target['next_key'] > 0 ) {
			if( $cat['pid'] == $target['cid'] ) {
				$cat['depth'] = $target['depth'] + 1 ;
				$cat['next_key'] = $target['next_key'] ;
				$target['next_key'] = $key ;
				break ;
			} else if( -- $loop_check < 0 ) {
				mysql_query( "UPDATE $cat_table SET pid='0' WHERE cid={$cat['cid']}" , $conn ) ;
				$cat['pid'] = 0 ;
				$cat['depth'] = 1 ;
				$cat['next_key'] = $cats[0]['next_key'] ;
				$cats[0]['next_key'] = $key ;
				break ;
			}
			$target =& $cats[ $target['next_key'] ] ;
		}
	}

	$cat =& $cats[ 0 ]  ;
	for( $weight = 1 ; $weight < $sizeofcats ; $weight ++ ) {
		$cat =& $cats[ $cat['next_key'] ] ;
		mysql_query( "UPDATE $cat_table SET weight=".($weight*10).",cat_extkey1={$cat['depth']} WHERE cid={$cat['cid']}" , $conn ) ;
	}
} */


require_once( '../../../include/cp_header.php' ) ;
require_once( '../class/piCal.php' ) ;
require_once( XOOPS_ROOT_PATH . "/include/xoopscodes.php" ) ;
require_once( '../class/piCal_xoops.php' ) ;

include_once XOOPS_ROOT_PATH."/class/xoopsformloader.php";
include_once XOOPS_ROOT_PATH."/class/xoopslists.php";
include_once( XOOPS_ROOT_PATH."/class/xoopstree.php" ) ;


// SERVER, GET ѿμ
$HTTP_HOST = $_SERVER[ 'HTTP_HOST' ] ;
$PHP_SELF = $_SERVER[ 'PHP_SELF' ] ;
$action = isset( $_POST[ 'action' ] ) ? $_POST[ 'action' ] : '' ;
$done = isset( $_GET[ 'done' ] ) ? $_GET[ 'done' ] : '' ;
$disp = isset( $_GET[ 'disp' ] ) ? $_GET[ 'disp' ] : '' ;
$cid = isset( $_GET[ 'cid' ] ) ? intval( $_GET[ 'cid' ] ) : 0 ;

// MySQLؤ³ (ݤʤΤǤ$xoopsDBϻȤʤ)
// $conn = mysql_connect( XOOPS_DB_HOST , XOOPS_DB_USER , XOOPS_DB_PASS ) or die( "Could not connect." ) ;
// mysql_select_db( XOOPS_DB_NAME , $conn ) ;
$conn = $xoopsDB->conn ;	// privateФʤΤǾŪˤϥ
$table = $xoopsDB->prefix( PICAL_EVENT_TABLE ) ;
$cat_table = $xoopsDB->prefix( PICAL_CAT_TABLE ) ;

// Ƽѥ
$mod_path = XOOPS_ROOT_PATH."/modules/piCal" ;
$mod_url = XOOPS_URL."/modules/piCal" ;

// ֥Ȥ
$cal = new piCal_xoops( "" , $xoopsConfig['language'] , true ) ;

// ƥץѥƥ
$cal->conn = $conn ;
$cal->table = $table ;
$cal->cat_table = $cat_table ;
include( '../include/read_configs.php' ) ;
$cal->base_url = $mod_url ;
$cal->images_url = "$mod_url/images/$skin_folder" ;
$cal->images_path = "$mod_path/images/$skin_folder" ;

// XOOPSϢν
$myts =& MyTextSanitizer::getInstance();
$cattree = new XoopsTree( $cat_table , "cid" , "pid" ) ;
$gperm_handler =& xoops_gethandler('groupperm');


// ƥ
// echo "<pre>" ;
// rebuild_cat_tree() ;


// ǡ١ʤɤ
if( $action == "insert" ) {

	if( ! xoops_refcheck() ) die( "open your referer" ) ;

	// Ͽ
	$sql = "INSERT INTO $cat_table SET " ;
	$cols = array( "weight" => "I:N:0" ,"ismenuitem" => "I:N:0" ,"cat_title" => "255:J:1" , "cat_desc" => "A:J:0" , "pid" => "I:N:0" ) ;
	$sql .= $cal->get_sql_set( $cols ) ;
	if( ! mysql_query( $sql , $conn ) ) die( mysql_error() ) ;
	rebuild_cat_tree() ;
	$mes = urlencode( _AM_MB_CAT_INSERTED ) ;
	$cal->redirect( "done=inserted&mes=$mes" ) ;
	exit ;

} else if( $action == "update" && $_POST['cid'] > 0 ) {

	if( ! xoops_refcheck() ) die( "open your referer" ) ;

	// 
	$cid = $_POST['cid'] ;
	$sql = "UPDATE $cat_table SET " ;
	$cols = array( "weight" => "I:N:0" ,"ismenuitem" => "I:N:0" ,"cat_title" => "255:J:1" , "cat_desc" => "A:J:0" , "pid" => "I:N:0" ) ;
	$sql .= $cal->get_sql_set( $cols ) . "WHERE cid=$cid" ;
	if( ! mysql_query( $sql , $conn ) ) die( mysql_error() ) ;
	rebuild_cat_tree() ;
	$mes = urlencode( _AM_MB_CAT_UPDATED ) ;
	$cal->redirect( "done=updated&mes=$mes" ) ;
	exit ;

} else if( ! empty( $_POST['delcat'] ) ) {

	// anti-CSRF (Double Check)
	if( ! xoops_refcheck() ) die( "open your referer" ) ;

	// Delete
	$cid = intval( $_POST['delcat'] ) ;

	// Category2Group permission κ (2.0.3 Ǥ⤦ޤư褦)
	// xoops_groupperm_deletebymoditem( $xoopsModule->mid() , 'pical_cat' , $cid ) ;
	$criteria = new CriteriaCompo( new Criteria( 'gperm_modid' , $xoopsModule->mid() ) ) ;
	$criteria->add( new Criteria( 'gperm_name' , 'pical_cat' ) ) ;
	$criteria->add( new Criteria( 'gperm_itemid' , intval( $cid ) ) ) ;
	$gperm_handler->deleteAll( $criteria ) ;

	// Category Notify κ
	// (ɬפǤг٥Ⱥεǽ)

	// оݥƥ꡼λҶWHEREɲäCat2Group Permission
	$children = $cattree->getAllChildId( $cid ) ;
	$whr = "cid IN (" ;
	foreach( $children as $child ) {
		// WHEREؤɲ
		$whr .= "$child," ;
		// Category2Group permission κ (2.0.3 Ǥ⤦ޤư褦)
		// xoops_groupperm_deletebymoditem( $xoopsModule->mid() , 'pical_cat' , $child ) ;
		$criteria = new CriteriaCompo( new Criteria( 'gperm_modid' , $xoopsModule->mid() ) ) ;
		$criteria->add( new Criteria( 'gperm_name' , 'pical_cat' ) ) ;
		$criteria->add( new Criteria( 'gperm_itemid' , intval( $child ) ) ) ;
		$gperm_handler->deleteAll( $criteria ) ;
	}
	$whr .= "$cid)" ;

	// catơ֥뤫κ
	if( ! mysql_query( "DELETE FROM $cat_table WHERE $whr" , $conn ) ) die( mysql_error() ) ;
	rebuild_cat_tree() ;
	$mes = urlencode( sprintf( _AM_FMT_CAT_DELETED , mysql_affected_rows() ) ) ;
	$cal->redirect( "done=deleted&mes=$mes" ) ;
	exit ;

} else if( ! empty( $_POST['batch_update'] ) ) {

	if( ! xoops_refcheck() ) die( "open your referer" ) ;

	// Хååץǡ
	$affected = 0 ;
	foreach( $_POST['weights'] as $cid => $weight ) {
		$weight = intval( $weight ) ;
		$enabled = ! empty( $_POST['enabled'][$cid] ) ? 1 : 0 ;
		if( ! mysql_query( "UPDATE $cat_table SET weight='$weight', enabled='$enabled' WHERE cid=$cid" , $conn ) ) die( mysql_error() ) ;
		$affected += mysql_affected_rows() ;
	}
	if( $affected > 0 ) rebuild_cat_tree() ;
	$mes = urlencode( sprintf( _AM_FMT_CAT_BATCHUPDATED , $affected ) ) ;
	$cal->redirect( "done=batch_updated&mes=$mes" ) ;
	exit ;

}



// ᥤ
xoops_cp_header();
include( './mymenu.php' ) ;

// ɽοʬ
if( $disp == "edit" && $cid > 0 ) {

	// оݥƥ꡼ǡμ
	$sql = "SELECT *,UNIX_TIMESTAMP(dtstamp) AS udtstamp FROM $cat_table WHERE cid='$cid'" ;
	$crs = mysql_query( $sql , $conn ) ;
	$cat = mysql_fetch_object( $crs ) ;
	display_edit_form( $cat , _AM_MENU_CAT_EDIT , 'update' ) ;

} else if( $disp == "new" ) {

	// ƱΥ֥ȤѰ
	class Dummy { var $cid = 0 ; var $pid = 0 ; var $cat_title = '' ; var $cat_desc = '' ; var $weight = 0 ; var $ismenuitem = 0 ; var $udtstamp = 0 ; }
	$cat = new Dummy() ;
	$cat->pid = $cid ;
	$cat->udtstamp = time() ;
	display_edit_form( $cat , _AM_MENU_CAT_NEW , 'insert' ) ;

} else {

	echo "<h4>"._AM_MENU_CATEGORIES."</h4>\n" ;

	if( ! empty( $_GET['mes'] ) ) echo "<p><font color='blue'>".htmlspecialchars($_GET['mes'],ENT_QUOTES)."</font></p>" ;

	echo "<p><a href='$PHP_SELF?disp=new&cid=0'>"._AM_MB_MAKETOPCAT."<img src='../images/cat_add.gif' width='18' height='15' alt='' /></a></p>\n" ;

	// ƥ꡼ǡ
	$cat_tree_array = $cattree->getChildTreeArray( 0 , 'weight ASC,cat_title' ) ;

	// TH Part
	echo "
	<form name='MainForm' action='$PHP_SELF' method='post' style='margin:10px;'>
	<input type='hidden' name='delcat' value='' />
	<table width='75%' class='outer' cellpadding='4' cellspacing='1'>
	  <tr valign='middle'>
	    <th>"._AM_CAT_TH_TITLE."</th>
	    <th>"._AM_CAT_TH_OPERATION."</th>
	    <th>"._AM_CAT_TH_ENABLED."</th>
	    <th>"._AM_CAT_TH_WEIGHT."</th>
	  </tr>
	" ;

	// ꥹȽ
	$oddeven = 'odd' ;
	foreach( $cat_tree_array as $cat_node ) {
		$oddeven = ( $oddeven == 'odd' ? 'even' : 'odd' ) ;
		extract( $cat_node ) ;

		$prefix = str_replace( '.' , '&nbsp;--' , substr( $prefix , 1 ) ) ;
		$enable_checked = $enabled ? "checked='checked'" : "" ;
		$cid = intval( $cid ) ;
		$cat_title = $myts->makeTBoxData4Show( $cat_title ) ;
		$del_confirm = 'confirm("' . sprintf( _AM_FMT_CATDELCONFIRM , $cat_title ) . '")' ;
		echo "
	  <tr>
	    <td class='$oddeven' width='100%'><a href='$PHP_SELF?disp=edit&amp;cid=$cid'>$prefix&nbsp;$cat_title</a></td>
	    <td class='$oddeven' align='center' nowrap='nowrap'>
	      <a href='$mod_url/index.php?action=Edit&amp;cid=$cid' target='_blank'><img src='$cal->images_url/addevent.gif' border='0' width='14' height='12' /></a>
	      &nbsp;
	      <a href='$PHP_SELF?disp=edit&amp;cid=$cid'><img src='../images/cat_edit.gif' width='18' height='15' alt='"._AM_MENU_CAT_EDIT."' title='"._AM_MENU_CAT_EDIT."' /></a>
	      &nbsp;
	      <a href='$PHP_SELF?disp=new&amp;cid=$cid'><img src='../images/cat_add.gif' width='18' height='15' alt='"._AM_MENU_CAT_NEW."' title='"._AM_MENU_CAT_NEW."' /></a>
	      &nbsp;
	      <input type='button' value='"._DELETE."'  onclick='if($del_confirm){document.MainForm.delcat.value=\"$cid\"; submit();}' />
	    </td>
	    <td class='$oddeven' align='center'><input type='checkbox' name='enabled[$cid]' value='1' $enable_checked /></td>
	    <td class='$oddeven' align='right'><input type='text' name='weights[$cid]' size='4' maxlength='6' value='$weight' /></td>
	  </tr>\n" ;
	}

	// ơ֥եå
	echo "
	  <tr>
	    <td colspan='4' align='right' class='head'><input type='submit' name='batch_update' value='"._AM_BTN_UPDATE."' /></td>
	  </tr>
	  <!-- Copyright of piCal (Don't remove this) -->
	  <tr>
	    <td colspan='8' align='right' valign='bottom' height='50'>".PICAL_COPYRIGHT."</td>
	  </tr>
	</table>
	</form>
	" ;
}


xoops_cp_footer();
?>
